#include<bits/stdc++.h> 

using namespace std;

bool sortlmao(const pair<int,double> &a, const pair<int,double> &b) 
{ 
    return (a.second > b.second); 
}

pair <int,double> alfcina[200000];
long long int prefixcina[200000];

main(){
	int n;
	cin>>n;
	for(int i=0;i<n;i++)
			cin>>alfcina[i].first>>alfcina[i].second;
	sort(alfcina,alfcina+n,sortlmao);
	prefixcina[0]=alfcina[0].first;
	for(int i=1;i<n;i++)
		prefixcina[i]=prefixcina[i-1]+alfcina[i].first;
	double maxcinabrate=0;
	for(int i=0;i<n;i++)
		{
			if(prefixcina[i]*alfcina[i].second > maxcinabrate) maxcinabrate=prefixcina[i]*alfcina[i].second;
		}
	cout<<fixed<<setprecision(6)<<maxcinabrate/100;
}